petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCHYPRESetAlphaPoissonMatrix

Set vector Poisson matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetAlphaPoissonMatrix(PC pc, Mat A)

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| A | - the matrix

### Notes

A should be obtained by discretizing the vector valued Poisson problem with linear finite elements

### See Also

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages